//
// C++ Interface: numberfieldwidget
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef GUINUMBERFIELDWIDGET_H
#define GUINUMBERFIELDWIDGET_H

#include <fieldwidget.h>

#include <qcheckbox.h>
#include <qspinbox.h>


namespace GUI {

/**
	@author Thach Nguyen <thach.nguyen@rmit.edu.au>
*/

class NumberFieldWidget : public FieldWidget
{
Q_OBJECT
		
public:
    NumberFieldWidget(QString _name, RefField* field,  QWidget *parent = 0, const char *name = 0);

    ~NumberFieldWidget();
	virtual void setText(QString );
	virtual void setMacro(bool macro) {}
	virtual QString getText();
	virtual bool getMacro(void) { return true; }
	virtual void setAutoCompletion(QStringList) {}
		
	
private:
	QSpinBox *m_numberEdit;

};

}

#endif
